import boto3
from prettytable import PrettyTable
from termcolor import colored

tkn_sec = input('KEY|SECRET: ')
try:
    KEY = tkn_sec.split('|')[0]
    SECRET = tkn_sec.split('|')[1]
except Exception as err:
    exit(err)
# Create an SES client
# client = boto3.client('sesv2')
# client = boto3.client("sesv2", aws_access_key_id=KEY, aws_secret_access_key=SECRET, region="us-east-1")

regions = [
    'us-east-2',       # US East (Ohio)
    'us-east-1',       # US East (N. Virginia)
    'us-west-1',       # US West (N. California)
    'us-west-2',       # US West (Oregon)
    'ap-south-1',
    'ap-northeast-3',  # Asia Pacific (Mumbai)
    'ap-northeast-2',  # Asia Pacific (Seoul)
    'ap-southeast-1',  # Asia Pacific (Singapore)
    'ap-southeast-2',  # Asia Pacific (Sydney)
    'ap-northeast-1',  # Asia Pacific (Tokyo)
    'ca-central-1',    # Canada (Central)
    'eu-central-1',    # Europe (Frankfurt)
    'eu-west-1',       # Europe (Ireland)
    'eu-west-2',       # Europe (London)
    'sa-east-1',       # South America (Sao Paulo)
    'eu-west-3',       #
    'eu-north-1'       #Europe (Stockholm)
]


# Create a table with headers
table = PrettyTable()
table.field_names = ["Region", "EnforcementStatus", "Max24HourSend", "SentLast24Hours"]

# Iterate over regions and retrieve SESv2 account information
for region in regions:
    # Set the region for the client
    client = boto3.client('sesv2', aws_access_key_id=KEY, aws_secret_access_key=SECRET, region_name=region)

    # Retrieve the account details
    response = client.get_account()
    enforcement_status = response['EnforcementStatus']
    max_24_hour_send = response['SendQuota']['Max24HourSend']
    sent_last_24_hours = response['SendQuota']['SentLast24Hours']

    # Add a row to the table with color-coding based on the values
    row = [region]
    if enforcement_status == 'HEALTHY':
        row.append(colored(enforcement_status, 'green'))
    elif enforcement_status == 'SHUTDOWN':
        row.append(colored(enforcement_status, 'red'))
    else:
        row.append(enforcement_status)

    if max_24_hour_send >= 50000:
        row.append(colored(max_24_hour_send, 'green'))
    elif max_24_hour_send >= 200:
        row.append(colored(max_24_hour_send, 'yellow'))
    else:
        row.append(max_24_hour_send)

    row.append(sent_last_24_hours)

    table.add_row(row)

# Print the table
print(table)